Bug 490670 - [Test Day] mtools pkg is missing as dep
[Test Day] mtools pkg is missing as dep
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: DeviceKit-disks (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-17 11:26 EDT by Michal Nowak
Modified: 2013-03-07 21:05 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-25 21:43:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 20800 None None None Never

  None (edit)
Description Michal Nowak 2009-03-17 11:26:18 EDT
Description of problem:

"""
Error creating partition

org.freedesktop.DeviceKit.Disks.Error.Failed: Error creating file system: helper exited with exit code 1: cannot spawn 'mlabel -i /dev/dm-2 "::????????????????????????????????"': Failed to execute child process "mlabel" (No such file or directory)
"""

mtools pkg is missing as dep, I had to install it manually.

Then with the same g-d-u-format window I tried to create the partition again with this result:

Error creating partition
org.freedesktop.DeviceKit.Disks.Error.Busy: Device is busy

and now the "Format" item is not in available, until I physically remove the media and physically plug again.

Version-Release number of selected component (if applicable):

nautilus-gdu-0.2-git20090309.1.fc11.x86_64
gnome-disk-utility-format-0.2-git20090309.1.fc11.x86_64
Comment 1 Matthias Clasen 2009-03-18 23:58:18 EDT
The actual mlabel call is in DeviceKit-disks
Comment 2 Matthias Clasen 2009-03-23 11:41:54 EDT
Related upstream bug: http://bugs.freedesktop.org/show_bug.cgi?id=20800
Comment 3 Matthias Clasen 2009-03-25 21:43:30 EDT
I've added Requires now

Note You need to log in before you can comment on or make changes to this bug.